#!/bin/sh
mkdir latest
mkdir latest/man1
mkdir latest/man2
mkdir latest/man3
mkdir latest/man4
mkdir latest/man5
mkdir latest/man6
mkdir latest/man7
mkdir latest/man8

for podadresar in $(find . -maxdepth 1 -mindepth 1 -type d -print)
do
  if [ $podadresar == "./latest" ]
  then
    continue
  fi    
# zatim nejsou duplicity, tak vsechno narveme do jednoho adresare rozdelenyho podle sekci
  for soubor in $(ls $podadresar | sort)
  do
    zakljmeno=`echo $soubor | sed s/^[0123456789]\\\{8\\\}\\.//g | sed s/\\.[0-9]\\\{4\\\}-[0-9][0-9]-[0-9][0-9]\\.[a-f0-9]\\\{32\\\}$//g`
    cislosekce=${zakljmeno: -1}
    
    #dle prostredi zmeni kodovani
    if echo $LANG $LC_ALL | grep -qi UTF-8
    then
      cp -p $podadresar/$soubor latest/man$cislosekce/$zakljmeno
    else
      iconv -f UTF-8 -t ISO-8859-2 $podadresar/$soubor -o latest/man$cislosekce/$zakljmeno
      chmod 644 latest/man$cislosekce/$zakljmeno
      touch -c -r $podadresar/$soubor latest/man$cislosekce/$zakljmeno
    fi


    if !(grep -q "^$zakljmeno		" seznam)
    then
      echo -e $zakljmeno\\t\\t`basename $podadresar` >> seznam
    elif !(grep -q "^$zakljmeno		`basename $podadresar`" seznam)
    then
      echo -e $zakljmeno\\t\\t`basename $podadresar` >> duplicity
    fi  
  done
done
		